Open CASCADE Technology: XmlXCAFDrivers_DocumentRetrievalDriver Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
XmlXCAFDrivers_DocumentRetrievalDriver Class Reference

retrieval driver of a XS document More...

`#include <XmlXCAFDrivers_DocumentRetrievalDriver.hxx>`

Inheritance diagram for XmlXCAFDrivers_DocumentRetrievalDriver:
[legend]

## Public Member Functions
| XmlXCAFDrivers_DocumentRetrievalDriver ()
virtual Handle< XmlMDF_ADriverTable > | AttributeDrivers (const Handle< CDM_MessageDriver > &theMsgDriver)
Public Member Functions inherited from XmlDrivers_DocumentRetrievalDriver
| XmlDrivers_DocumentRetrievalDriver ()
virtual Handle< XmlMDF_ADriver > | ReadShapeSection (const XmlObjMgt_Element &thePDoc, const Handle< CDM_MessageDriver > &theMsgDriver)
virtual void | ShapeSetCleaning (const Handle< XmlMDF_ADriver > &theDriver)
virtual void | PropagateDocumentVersion (const Standard_Integer theDocVersion)
Public Member Functions inherited from XmlLDrivers_DocumentRetrievalDriver
| XmlLDrivers_DocumentRetrievalDriver ()
virtual TCollection_ExtendedString | SchemaName () const
virtual void | Make (const Handle< PCDM_Document > &PD, const Handle< CDM_Document > &TD)
virtual Handle< CDM_Document > | CreateDocument ()
| this method is called by the framework before the read method. More...
virtual void | Read (const TCollection_ExtendedString &theFileName, const Handle< CDM_Document > &theNewDocument, const Handle< CDM_Application > &theApplication)
| Warning - raises DriverError if an error occurs during inside the Make method. retrieves the content of the file into a new Document. More...
Public Member Functions inherited from PCDM_RetrievalDriver
virtual void | LoadExtensions (const Handle< Storage_Schema > &aSchema, const TColStd_SequenceOfExtendedString &Extensions, const Handle< CDM_MessageDriver > &theMsgDriver)
void | SetFormat (const TCollection_ExtendedString &aformat)
TCollection_ExtendedString | GetFormat () const
Public Member Functions inherited from PCDM_Reader
PCDM_ReaderStatus | GetStatus () const
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual void | Delete () const
| Memory deallocator for transient classes. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Additional Inherited Members
Static Public Member Functions inherited from PCDM_RetrievalDriver
static void | RaiseIfUnknownTypes (const Handle< Storage_Schema > &aSchema, const TCollection_ExtendedString &aFileName)
static Standard_Integer | DocumentVersion (const TCollection_ExtendedString &aFileName, const Handle< CDM_MessageDriver > &theMsgDriver)
static Standard_Integer | ReferenceCounter (const TCollection_ExtendedString &aFileName, const Handle< CDM_MessageDriver > &theMsgDriver)
Protected Member Functions inherited from XmlLDrivers_DocumentRetrievalDriver
virtual void | ReadFromDomDocument (const XmlObjMgt_Element &theDomElement, const Handle< CDM_Document > &theNewDocument, const Handle< CDM_Application > &theApplication)
virtual Standard_Boolean | MakeDocument (const XmlObjMgt_Element &thePDoc, const Handle< CDM_Document > &theTDoc)
Protected Attributes inherited from XmlLDrivers_DocumentRetrievalDriver
Handle< XmlMDF_ADriverTable > | myDrivers
XmlObjMgt_RRelocationTable | myRelocTable
TCollection_ExtendedString | myFileName
Protected Attributes inherited from PCDM_Reader
PCDM_ReaderStatus | myReaderStatus

## Detailed Description

retrieval driver of a XS document

## Constructor & Destructor Documentation

XmlXCAFDrivers_DocumentRetrievalDriver::XmlXCAFDrivers_DocumentRetrievalDriver | ( |  | ) |

## Member Function Documentation

virtual Handle< XmlMDF_ADriverTable > XmlXCAFDrivers_DocumentRetrievalDriver::AttributeDrivers | ( | const Handle< CDM_MessageDriver > & | theMsgDriver | ) |
| virtual

Reimplemented from XmlDrivers_DocumentRetrievalDriver.

The documentation for this class was generated from the following file:

- XmlXCAFDrivers_DocumentRetrievalDriver.hxx